Subject: Re: [PATCH RESEND] Do not override LESS

From: Anders Melchiorsen <[email-masked]>
Date: Sat, 23 Aug 2008 12:21:15 +0200

Junio C Hamano <[email-masked]> writes:

> That's not a solution. Alice and Bob can also change their
> environment to their taste as well. Why punish existing users?

As I said, when you ask for "less", I tend to think it is correct to
get "less". Not "LESS=FSRX less", with a special case if LESS is
already defined.

> If the problem you are trying to solve is that there is no existing
> combination of the environment variables for them to do so, you can
> solve it by introducing a new configuration or environment to
> support such usage and documenting it, can't you?

I was trying to clean up things, not to make them even more confusing.
If backwards compatibility is more important to you, I can understand.

Cheers,
Anders.